<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Owners</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
<header>
    <nav class="navbar navbar-expand-sm bg-dark navbar-dark"><br>
        <div class="collapse navbar-collapse" id="collapsibleNavbar">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="main">Главная</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="owners">Владельцы</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="buses">Автобусы</a>
                </li>
            </ul>
        </div>
    </nav>
</header>
<div class="container mt-5 mb-5">
    <h4>Изменение автобуса</h4>
    <div th:each="b : ${bus}">
        <form action="#" th:action="@{/bus/edit/{id}(id=${bus.id})}" th:object="${bus}" method="post">
            <input type="text" name="name" placeholder="Введите название" class="form-control" required></br>
            <input type="text" name="model" placeholder="Введите модель" class="form-control" required></br>
            <input type="number" name="numberOfSeats" placeholder="Введите количество мест" class="form-control"required></br>
            <input type="number" name="engineVolume" step="0.1" placeholder="Введите обьем двигателя" class="form-control" required></br>
            <input type="text" name="transportNumber" placeholder="Введите номер" class="form-control" required></br>
            <input type="text" name="owner" placeholder="Введите id владельца" class="form-control" required></br>
            <button type="submit" class="btn btn-success">Изменить</button>
        </form>
    </div>
</div>
</body>
</html>